Bug 554851 (CVE-2010-0097) - CVE-2010-0097 BIND DNSSEC NSEC/NSEC3 validation code could cause bogus NXDOMAIN responses
Summary: CVE-2010-0097 BIND DNSSEC NSEC/NSEC3 validation code could cause bogus NXDOMA...
Status: CLOSED ERRATA
Alias: CVE-2010-0097
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: source=upstream,impact=moderate,repor...
Keywords: Security
Depends On: 555117 555118 555119
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-12 19:56 UTC by Josh Bressers
Modified: 2015-07-31 06:24 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-02 09:34:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for CVE-2010-0097 (1.12 KB, patch)
2010-01-18 15:38 UTC, Adam Tkac
no flags Details | Diff
Improved fix for CVE-2009-4022 (12.05 KB, patch)
2010-01-18 15:40 UTC, Adam Tkac
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0062 normal SHIPPED_LIVE Moderate: bind security update 2010-01-20 15:15:17 UTC

Description Josh Bressers 2010-01-12 19:56:05 UTC
We received the following advisory from ISC:

Description:
There was an error in the DNSSEC NSEC/NSEC3 validation code that could
cause bogus NXDOMAIN responses (that is, NXDOMAIN responses for records
proven by NSEC or NSEC3 to exist) to be cached as if they had validated
correctly, so that future queries to the resolver would return the bogus
NXDOMAIN with the AD flag set.

Impact:
This problem affects all DNSSEC-validating resolvers. It would be
difficult to exploit due to other existing protections against cache
poisoning (including transaction ID and source port randomization), but
it could impair the ability of DNSSEC to protect against a
denial-of-service attack on a secure zone.

Workarounds:
None, administrators need to upgrade to one of the versions detailed below.

Active exploits:
None known at this time.

Solution:
Upgrade BIND to one of the following: 9.4.3-P5, 9.5.2-P2 or 9.6.1-P3.
There are no fixes available for BIND versions 9.0 through 9.3, as those
releases are at End of Life. Note for BIND 9.7 beta-testers:
pre-releases of 9.7.0 are vulnerable. Upcoming releases will include
these patches.

Comment 4 Adam Tkac 2010-01-18 15:38:35 UTC
Created attachment 385125 [details]
Patch for CVE-2010-0097

This patch fixes CVE-2010-0097 (NSEC/NSEC3 validation code could cause bogus NXDOMAIN responses).

Comment 5 Adam Tkac 2010-01-18 15:40:37 UTC
Created attachment 385126 [details]
Improved fix for CVE-2009-4022

Improved fix for CVE-2009-4022. This patch obsoletes original fix for CVE-2009-4022.

Comment 9 Josh Bressers 2010-01-19 21:18:01 UTC
This is now public:
https://www.isc.org/advisories/CVE-2010-0097

Comment 10 errata-xmlrpc 2010-01-20 15:16:47 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2010:0062 https://rhn.redhat.com/errata/RHSA-2010-0062.html

Comment 11 Fedora Update System 2010-01-21 00:13:20 UTC
bind-9.6.1-9.P3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-01-21 00:14:40 UTC
bind-9.6.1-15.P3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.